<?php

declare(strict_types=1);

namespace KupShop\KupShopBundle\Views;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

interface RouteAwareResponderInterface
{
    /**
     * @return Response
     */
    public function getResponse(?Request $request = null);

    /**
     * Generate a correct URL for the current language.
     */
    public function getCorrectUrl(): ?string;

    /**
     * Checks if `Request` url matches `getCorrectUrl`.
     */
    public function checkCorrectUrl(Request $request): void;
}
